package meta

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
)

type MetaSensorDisplayItem struct {
	ID         json.Number         `json:"id,Number,omitempty"`
	Name       string              `json:"name,omitempty"`
	Crawler    *MetaCrawler        `json:"crawler,omitempty"`
	Unit       *MetaSensorItemUnit `json:"unit,omitempty"`
	CreateDate util.Timestamp      `json:"createDate,omitempty"`
	ItemType   *MetaSensorItemType `json:"itemType,omitempty"`
}
